Bug 5147 - Support silent build rules with automake 1.11
: Support silent build rules with automake 1.11
Status: RESOLVED FIXED
Product: Desktop platform
hildon-widgets
: 5.0-beta2
: All Linux
: Low enhancement (vote)
: ---
Assigned To: Claudio Saavedra
: hildon-libs-bugs
: http://live.gnome.org/GnomeGoals/Nice...
: patch
:
:
  Show dependency tree
 
Reported: 2009-09-17 04:46 UTC by Javier Jardón
Modified: 2010-02-22 15:53 UTC (History)
3 users (show)

See Also:


Attachments
Support silent build rules with automake 1.11 (2.73 KB, patch)
2009-09-17 04:48 UTC, Javier Jardón
Details
Support silent build rules.v2 (2.88 KB, patch)
2010-02-19 02:30 UTC, Javier Jardón
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Javier Jardón (reporter) 2009-09-17 04:46:42 UTC
Automake 1.11 supports Linux-kernel like silent build rules with easy ways to
switch to the more verbose output either at configure time:

  ./configure --disable-silent-rules

or at make time:

  make V=1

The attached patch enables silent build rules by default.
Comment 1 Javier Jardón (reporter) 2009-09-17 04:48:43 UTC
Created an attachment (id=1360) [details]
Support silent build rules with automake 1.11

This patch is compatible with previous automake versions; if automake1.11 is
not present, the line is ignored
Comment 2 Claudio Saavedra 2009-09-17 11:16:36 UTC
(In reply to comment #0)
> Automake 1.11 supports Linux-kernel like silent build rules

Fremantle SDK doesn't have automake 1.11, and I'm not sure it'll have it.
Comment 3 Javier Jardón (reporter) 2009-09-17 17:53:20 UTC
(In reply to comment #2)
> (In reply to comment #0)
> > Automake 1.11 supports Linux-kernel like silent build rules
> 
> Fremantle SDK doesn't have automake 1.11, and I'm not sure it'll have it.
> 

True, but when bug #4605 will be solved, you will can compile hildon outside
the Fremantle SDK
Comment 4 Alberto Garcia Gonzalez 2010-02-01 19:21:24 UTC
(In reply to comment #1)
> Created an attachment (id=1360) [details] [details]

 hildon-marshalers.c: hildon-marshalers.list hildon-marshalers.h
-    echo '#include "hildon-marshalers.h"' >hildon-marshalers.c
+    $(AM_V_GEN) echo '#include "hildon-marshalers.h"' >hildon-marshalers.c
     glib-genmarshal --prefix _hildon_marshal --body hildon-marshalers.list
>>hildon-marshalers.c

Why doesn't this last 'glib-genmarshal' line have $(AM_V_GEN) ?
Comment 5 Alberto Garcia Gonzalez 2010-02-18 11:16:43 UTC
Javier: ping
Comment 6 Javier Jardón (reporter) 2010-02-19 02:30:48 UTC
Created an attachment (id=2316) [details]
Support silent build rules.v2

Sorry for the delay Berto, here a new patch with the last line silenced too
Comment 7 Alberto Garcia Gonzalez 2010-02-22 15:53:05 UTC
Ok, here it is:

http://maemo.gitorious.org/hildon/hildon/commit/97020f99bcb1b1825a46082552e14cc9e0251f34

Now, since the SDK doesn't come with automake 1.11 I have only
committed this to master, not to hildon-2-2, so you won't see it in
the next hildon update for Maemo 5.